<div class="dashboard-page flex flex-col flex-auto min-w-0">

    <div class="flex justify-between">
        <div class="text-2xl font-cairo font-bold tracking-tight leading-8 mb-8">Collaboration Teams</div>
        <button class="sm:inline-flex ml-auto" mat-stroked-button [color]="'primary'" (click)="openDialog()">
            <span class="mx-8">Add New Collaboration Team</span>
        </button>
    </div>
    <div class="relative">
        <!--table component-->
        <!--table search bar panel-->
        <div class="srm-bg mb-4 rounded-lg rounded-t-none">
            <div class="p-6">

                <div class="flex flex-col flex-wrap sm:flex-row items-center max-w-xs sm:max-w-none">
                    <div class="mr-4">
                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-80 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                            <div class="text-secondary px-4" matPrefix>Name</div>
                            <input matInput placeholder="Search by Team Name" #input>
                        </mat-form-field>
                        <mat-form-field class="fuse-mat-no-subscript fuse-mat-emphasized-affix sm:w-90 mt-4 sm:mt-0 mr-1 mb-3" [floatLabel]="'always'">
                            <div class="text-secondary px-4" matPrefix>Description</div>
                            <input matInput placeholder="Search by Team Description" #input>
                        </mat-form-field>

                        <mat-form-field class="fuse-mat-no-subscript sm:w-32 mt-4 sm:mt-0 mb-3" [floatLabel]="'always'">
                            <mat-select [value]="'private'">
                                <mat-option [value]="'private'">Select Type</mat-option>
                                <ng-container>
                                    <mat-option value="private">Private</mat-option>
                                    <mat-option value="public">Public</mat-option>
                                </ng-container>
                            </mat-select>
                        </mat-form-field>

                    </div>

                    <button class="sm:inline-flex mb-3" mat-stroked-button [color]="'primary'">
                        <mat-icon matPrefix class="icon-size-5 ml-8" [svgIcon]="'heroicons_solid:search'"></mat-icon>
                        <span class="mr-8 ml-4">Search</span>
                    </button>
                </div>

            </div>

        </div>

        <!--base table component-->
        <div class="overflow-auto bg-gray-50 rounded-lg">
            <table mat-table [dataSource]="collaborationTeamSearchModel.collaborationTeamTextViewModels" matSort  (matSortChange)="sortData($event)" class="expanded-rows-table font-helvetica text-gray-500">

                <!-- ID Column -->
                <ng-container hidden matColumnDef="id">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 60px"> </th>
                    <td mat-cell *matCellDef="let row"> {{row.id}} </td>
                </ng-container>

                <!-- Team Name Column -->
                <ng-container matColumnDef="teamname">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="min-width: 200px;"> Team Name </th>
                    <td mat-cell *matCellDef="let row"> {{row.teamName}}</td>
                </ng-container>

                <!-- Team Description Column -->
                <ng-container matColumnDef="teamdescription">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header style="min-width: 250px;"> Team Description </th>
                    <td mat-cell *matCellDef="let row"> {{row.teamDescription}} </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr (click)="EditTeam(row)" mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                <!-- Row shown when there is no matching data. -->
                <tr class="mat-row" *matNoDataRow>
                    <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
                </tr>
            </table>
        </div>
        <div class="flex justify-end">
            <mat-paginator class="flex text-base" [pageSizeOptions]="[10, 25, 100]"></mat-paginator>
        </div>
        <!--table component end-->
    </div>
    <div class="flex justify-end ml-auto p-6">
        <button class="sm:inline-flex mr-4" mat-button [color]="'primary'">
            <span class="mx-8">Cancel</span>
        </button>
        <button class="sm:inline-flex" mat-raised-button [color]="'primary'">
            <span class="mx-8">Save Changes</span>
        </button>
    </div>
</div>
